<?php
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

class NetzsinnHelper
{
    /**
     * 
     */
    public static function getFieldNamesByList($item_id, $field_id, $category_id)
    {
        $db = Factory::getDBO();
        $query = $db->getQuery(true);

        $query->select('c.id as value, c.title as text');
        $query->from($db->quoteName('#__fields_values') . ' AS f');
        $query->join('LEFT', $db->quoteName('#__content') . ' AS c ON c.id = f.value');
        $query->where('f.item_id = ' . $item_id);
        $query->where('f.field_id = ' . $field_id);
        $query->where('c.catid = ' . $category_id);
        $query->where('c.state = 1');
        $query->order('text ASC');

        try {
            #echo $query;
            $db->setQuery($query);
            $results = $db->loadObjectList();
            #print_r($results);
        } catch (Exception $e) {
            $msg = $e->getMessage(); // Returns "Normally you would have other code...
            $code = $e->getCode(); // Returns '500';
            Factory::getApplication()->enqueueMessage($msg, 'error'); // commonly to still display that error
            return false;
        }
        return $results;
    }
}
