<?php
// No direct access to this file
defined('_JEXEC') or die();

require_once __DIR__ . '/netzsinn.helper.php';

// Display
foreach (['title'] as $key) {
    if (!$element["show_{$key}"]) {
        $props[$key] = '';
    }
}

// Item
$el = $this->el('div', [
    'class' => [
        'el-item uk-panel'
    ]
]);

// Title
$title = $this->el($element['title_element'], [
    'class' => [
        'el-title',
    ],
]);

$item_id = trim($props['item_id']);
$field_id = trim($props['field_id']);
$category_id = trim($props['category_id']);
$layout = $props['layout'];
// echo $item_id . '<br/>';
// echo $field_id . '<br/>';
// echo $category_id . '<br/>';
// echo $layout . '<br/>';

// Get a list of all field names for the given ID



?>

<?php #$el($element, $attrs) 

if (strlen(trim($item_id)) > 0) :

    $results = NetzsinnHelper::getFieldNamesByList($item_id, $field_id, $category_id);
    if ($layout == 1) : // Comma separated list
        $string .= '';
        foreach ($results as $result) {
            $string .= $result->text . ', ';
        }
        $string = rtrim($string, ', ');
        echo '<p>' . $string . '</p>';

    elseif ($layout == 2) : // Pipe separated list
        $string .= '';
        foreach ($results as $result) {
            $string .= $result->text . ' | ';
        }
        $string = rtrim($string, ' | ');
        echo '<p>' . $string . '</p>';

    elseif ($layout == 3) : // pills dark
        echo '<ul class="uk-subnav uk-subnav-pill">';
        foreach ($results as $result) {
            echo '<li><span>' . $result->text . '</span></li>';
        }
        echo '</ul>';
    elseif ($layout == 4) : // pills light
        echo '<ul class="uk-subnav">';
        foreach ($results as $result) {
            echo '<li><span>' . $result->text . '</span></li>';
        }
        echo '</ul>';
    endif;

#endif;

endif ?> 


<?php #$el->end() 
?>
