<?php

/** 
 * Joomla.Plugin - System - NetzSinn Yootheme Pro Element Multiple SQL Custom Field
 * ------------------------------------------------------------------------
 * @package     System - NetzSinn Yootheme Pro Element Multiple SQL Custom Field Plugin
 * @author      Netzsinn.de
 * @copyright   2023 netzsinn.de
 * @license     GNU/GPLv3 <http://www.gnu.org/licenses/gpl-3.0.de.html>
 * @link        https://netzsinn.de
 * ------------------------------------------------------------------------
 */

// No direct access to this file
defined('_JEXEC') or die();

use Joomla\CMS\Factory;

class plgSystemNetzsinn_yoothemeelement_multiplesqlcustomfieldScript
{

    public function install($parent)
    {
        // Enable the extension
        $this->enablePlugin();

        return true;
    }

    private function enablePlugin()
    {
        try {
            $db = Factory::getDbo();
            $query = $db->getQuery(true)
                ->update($db->qn('#__extensions'))
                ->set($db->qn('enabled') . ' = ' . $db->q(1))
                ->where('type = ' . $db->q('plugin'))
                ->where('folder = ' . $db->q('system'))
                ->where('element = ' . $db->q('netzsinn_yoothemeelement_multiplesqlcustomfield'));
            $db->setQuery($query);
            $db->execute();
        } catch (\Exception $e) {
            return;
        }
    }
}
